/* Problema: Dado as 2 notas, de cada um dos n alunos, obtida ao longo do ano, 
             calcular e imprimir a nota final do aluno, sabendo-se que a nota 
             final e dado pela soma das 2 notas. Imprimir a situao do aluno 
             que pode ser : "Aprovado", se a nota final for maior ou igual 60, 
             ou "Reprovado", caso contrrio .

   Resoluo: O programa deve ter os seguintes passos:
   1 - definir os tipos de dados; (declarar as variveis)
   2 - permitir que voce digite o numero de alunos;
   3 - permitir que voce digite as 2 notas, dos n alunos, um de cada vez; 
   4 - calcular a nota final dos alunos(a soma dessas 2 notas); 
   5 - imprimir o valor da nota final e a situacao do aluno(aprovado/reprovado).

   descrio das variveis
   a - matriz, guarda a 1. e 2. nota dos alunos
   s - vetor, guarda(armazena) a nota final dos alunos
   i - contador de repeticao
   n - numero de alunos na turma
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
    int a[10][2],s[10],i,n;
    
    //entrada dos dados
    printf ("Digite o numero de alunos(<10): ");
    scanf ("%d", &n);
    i = 0; 
    while (i < n)
    {
        printf("\nDigite as notas do aluno %d\n",i);
        printf("1. nota: ");
        scanf("%d",&a[i][0]);                 
        printf("2. nota: ");
        scanf("%d",&a[i][1]);
        i = i + 1;
    }
    
    //calcular a nota final dos alunos
    for (i = 0; i < n; i = i + 1) 
    { 
        s[i] = a[i][0] + a[i][1];
    }
    
    //saida de dados - imprimir os resultados
    printf("\n\nRelatorio final\n");
    for (i = 0; i < n; i = i + 1) 
    { 
        printf("\nAluno %d",i);
        printf("\nNota final : %d",s[i]);
        
        if (s[i]>=60)
        {
            printf("\nSituacao: Aprovado\n");
        }
        else
        {
            printf("\nSituacao: Reprovado\n");
        }
    }
    
    printf("\n\ntecle qualquer tecla para finalizar a exec. do programa");
    getch(); //pausa na janela do usurio para voce ver os resultados dos printf  
    return 0;
}
