/* Problema: Dado as m notas, de cada um dos n alunos, obtida ao longo do ano, 
             calcular e imprimir a nota final do aluno, sabendo-se que a nota 
             final e dado pela soma das m notas. Imprimir a situao do aluno 
             que pode ser : "Aprovado", se a nota final for maior ou igual 60, 
             ou "Reprovado", caso contrrio .

   Resoluo: O programa deve ter os seguintes passos:
   1 - definir os tipos de dados; (declarar as variveis)
   2 - permitir que voce digite o numero de alunos e o numeero de notas de um aluno;
   3 - permitir que voce digite as m notas, de cada um dos n alunos, um de cada vez; 
   4 - calcular a nota final dos alunos(a soma dessas m notas); 
   5 - imprimir o valor da nota final e a situacao do aluno(aprovado/reprovado).

   descrio das variveis
   a - matriz, guarda a 1. e 2. nota dos alunos
   s - vetor, guarda(armazena) a nota final dos alunos
   i - contador de repeticao
   n - numero de alunos na turma
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
    int a[10][5],s[10],i,j,n,m;
    
    //entrada dos dados
    printf ("Digite o numero de alunos(<10): ");
    scanf ("%d", &n);
    printf ("Digite o numero de notas(<5): ");
    scanf ("%d", &m);
    for (i = 0; i < n; i = i + 1) 
    { 
        printf("\nDigite as notas do aluno %d\n",i+1);
        for (j = 0; j < m; j = j + 1) 
        {
            printf("%d. nota: ",j+1);
            scanf("%d",&a[i][j]);                 
        }
    }
    
    //calcular a nota final dos alunos
    for (i = 0; i < n; i = i + 1) 
    { 
        s[i] = 0;
        for (j = 0; j < m; j = j + 1) 
        {
            s[i] =  s[i] + a[i][j];
        }
    }
    
    //saida de dados - imprimir os resultados
    printf("\n\nRelatorio final\n");
    for (i = 0; i < n; i = i + 1) 
    { 
        printf("\nAluno %d",i+1);
        printf("\nNota final : %d",s[i]);
        
        if (s[i]>=60)
        {
            printf("\nSituacao: Aprovado\n");
        }
        else
        {
            printf("\nSituacao: Reprovado\n");
        }
    }
    
    printf("\n\ntecle qualquer tecla para finalizar a exec. do programa");
    getch(); //pausa na janela do usurio para voce ver os resultados dos printf  
    return 0;
}
